{ pkgs, ... }:

{
  imports =
    [
      ./packages.nix
    ];

  home-manager.users.lyes = { ... }: {
    imports =
      [
        ./home.nix
      ];
  };

  # Keyboard
  hardware.keyboard.qmk.enable = true;

  services.udev = {
    packages = with pkgs; [
      qmk
      qmk-udev-rules
      qmk_hid
      via
    ];
  };
}
